package noOntoSearch;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import org.apache.lucene.document.Document;
import org.apache.lucene.document.Field;
import org.apache.lucene.index.*;

public class Indexer {

	public Indexer() {}

	public void indexFiles(String directory) {

		try {

		IndexWriter iw = new IndexWriter(Globals.indexDirectory,
						 new PorterStemAnalyzer(),true);

		for(int i=1;i<=76;i++ ) {

			String fileName = directory+"dok"+i+".txt";
			FileReader fr = new FileReader(fileName);
			BufferedReader reader = new BufferedReader(fr);
			String content = "";
			String line = "";
			while((line = reader.readLine()) != null) {
				content = content.concat(line.concat(" "));
				}

			Document doc = new Document();
			doc.add(new Field(Globals.contentFieldName,content,Field.Store.YES,
							  Field.Index.TOKENIZED));
			doc.add(new Field(Globals.filenameFieldName,fileName,Field.Store.YES,
							  Field.Index.TOKENIZED));
			iw.addDocument(doc);
			}

			iw.optimize();
			iw.close();
		}
		catch (IOException e) {
			e.printStackTrace();
			}

	}
}
